通知ハンドラー
GET https://aka.so/api/notification-handlers/
curl --request GET \
--url 'https://aka.so/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| パラメーター | 詳細 | 説明 |
|---|---|---|
| search | 任意 文字列 | 検索文字列 |
| search_by | 任意 文字列 | 検索対象のフィールドを指定してください。指定可能な値は name です。 |
| is_enabled | 任意 真偽値 | |
| type | 任意 文字列 | 検索対象のフィールドを指定してください。指定可能な値は email, webhook, slack, discord, telegram, microsoft_teams, ntfy です。 |
| datetime_field | 任意 文字列 | 有効な値: datetime, last_datetime |
| datetime_start | 任意 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 任意 文字列 | この日時までの結果をフィルタリングします。Y-m-d H:i:s 形式。 |
| order_by | 任意 文字列 | 結果を並べ替えるフィールド。指定可能な値: notification_handler_id, datetime, last_datetime, name |
| order_type | 任意 文字列 | 結果のソート順。指定可能な値は、昇順の場合はASC、降順の場合はDESCです。 |
| search | 任意 文字列 | 検索文字列 |
| search_by | 任意 文字列 | 検索対象のフィールドを指定してください。指定可能な値は name です。 |
| is_enabled | 任意 真偽値 | |
| type | 任意 文字列 | 検索対象のフィールドを指定してください。指定可能な値は email, webhook, slack, discord, telegram, microsoft_teams, ntfy です。 |
| datetime_field | 任意 文字列 | 有効な値: datetime, last_datetime |
| datetime_start | 任意 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 任意 文字列 | この日時までの結果をフィルタリングします。Y-m-d H:i:s 形式。 |
| order_by | 任意 文字列 | 結果を並べ替えるフィールド。指定可能な値: notification_handler_id, datetime, last_datetime, name |
| order_type | 任意 文字列 | 結果のソート順。指定可能な値は、昇順の場合はASC、降順の場合はDESCです。 |
| page | 任意 整数 | 結果を取得するページ番号。デフォルトは1です。 |
| results_per_page | 任意 整数 | 1ページあたりの表示件数。指定可能な値: 10, 25, 50, 100, 250, 500, 1000。デフォルト値: 25。 |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-18 08:49:58",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://aka.so/api/notification-handlers?page=1",
"last": "https://aka.so/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://aka.so/api/notification-handlers?page=1"
}
}
GET https://aka.so/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-18 08:49:58",
}
}
POST https://aka.so/api/notification-handlers
| パラメーター | 詳細 | 説明 |
|---|---|---|
| name | 必須 文字列 | - |
| type | 必須 文字列 | 有効な値: email, webhook, slack, discord, telegram, microsoft_teams, ntfy |
| 任意 文字列 | 利用可能: type = email メール | |
| webhook | 任意 文字列 | 利用可能: type = webhook ウェブフックURL |
| slack | 任意 文字列 | 利用可能: type = slack Slack Webhook URL |
| discord | 任意 文字列 | 利用可能: type = discord Discord Webhook URL |
| telegram | 任意 文字列 | 利用可能: type = telegram Telegram APIトークン |
| telegram_chat_id | 任意 文字列 | 利用可能: type = telegram Telegram チャットID |
| microsoft_teams | 任意 文字列 | 利用可能: type = microsoft_teams Microsoft Teams ウェブフック URL |
| ntfy | 任意 文字列 | 利用可能: type = ntfy ntfyトピックURL |
curl --request POST \
--url 'https://aka.so/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://aka.so/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://aka.so/api/notification-handlers/{notification_handler_id}
| パラメーター | 詳細 | 説明 |
|---|---|---|
| name | 任意 文字列 | - |
| type | 任意 文字列 | 有効な値: email, webhook, slack, discord, telegram, microsoft_teams, ntfy |
| 任意 文字列 | 利用可能: type = email メール | |
| webhook | 任意 文字列 | 利用可能: type = webhook ウェブフックURL |
| slack | 任意 文字列 | 利用可能: type = slack Slack Webhook URL |
| discord | 任意 文字列 | 利用可能: type = discord Discord Webhook URL |
| telegram | 任意 文字列 | 利用可能: type = telegram Telegram APIトークン |
| telegram_chat_id | 任意 文字列 | 利用可能: type = telegram Telegram チャットID |
| microsoft_teams | 任意 文字列 | 利用可能: type = microsoft_teams Microsoft Teams ウェブフック URL |
| ntfy | 任意 文字列 | 利用可能: type = ntfy ntfyトピックURL |
| is_enabled | 任意 真偽値 | - |
curl --request POST \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://aka.so/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://aka.so/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \